Bug 1292376 - Review Request: perl-Object-Remote - Call methods on objects in other processes or on other hosts
Review Request: perl-Object-Remote - Call methods on objects in other process...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On: 1292121
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 04:10 EST by Jitka Plesnikova
Modified: 2016-01-13 03:45 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-Object-Remote-0.003005-2.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-13 03:45:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2015-12-17 04:10:53 EST
Spec URL: https://jplesnik.fedorapeople.org/perl-Object-Remote/perl-Object-Remote.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-Object-Remote/perl-Object-Remote-0.003005-1.fc24.src.rpm

Description:
Object::Remote allows you to create an object in another process - usually
one running on another machine you can connect to via ssh, although there
are other connection mechanisms available.

Fedora Account System Username: jplesnik@redhat.com
Comment 1 Petr Šabata 2016-01-06 10:43:07 EST
* Missing a buildtime dependency.
  - sed, used in the SPEC file

* The perl(strict) buildtime dependency is listed twice.

* Missing a runtime dependencies.
  - openssh-clients, needed for Object::Remote::Connector::SSH
  - sudo, needed for Object::Remote::Connector::LocalSudo
  - perl(Log::Contextual::Role::Router), lib/Object/Remote/Logging/Router.pm:7

* Drop META.json from %doc.
Comment 2 Upstream Release Monitoring 2016-01-07 03:38:00 EST
jplesnik's scratch build of perl-Object-Remote-0.003005-2.fc24.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12445401
Comment 4 Petr Šabata 2016-01-08 10:21:46 EST
Ack, all addressed.
Approving.
Comment 5 Gwyn Ciesla 2016-01-11 14:32:53 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Object-Remote

Note You need to log in before you can comment on or make changes to this bug.